# Uses of Enum Class
java.time.DayOfWeek

Packages that use DayOfWeek
Package
Description
java.time
The main API for dates, times, instants, and durations.
java.time.temporal
Access to date and time using fields and units, and date time adjusters.
java.time.zone
Support for time-zones and their rules.

- ## Uses of DayOfWeek in java.time

  Subclasses with type arguments of type DayOfWeek in java.time
  Modifier and Type
  Class
  Description
  `enum`
  `DayOfWeek`
  A day-of-week, such as 'Tuesday'.
  Methods in java.time that return DayOfWeek
  Modifier and Type
  Method
  Description
  `static DayOfWeek`
  DayOfWeek.`from(TemporalAccessor temporal)`
  Obtains an instance of `DayOfWeek` from a temporal object.
  `DayOfWeek`
  LocalDate.`getDayOfWeek()`
  Gets the day-of-week field, which is an enum `DayOfWeek`.
  `DayOfWeek`
  LocalDateTime.`getDayOfWeek()`
  Gets the day-of-week field, which is an enum `DayOfWeek`.
  `DayOfWeek`
  OffsetDateTime.`getDayOfWeek()`
  Gets the day-of-week field, which is an enum `DayOfWeek`.
  `DayOfWeek`
  ZonedDateTime.`getDayOfWeek()`
  Gets the day-of-week field, which is an enum `DayOfWeek`.
  `DayOfWeek`
  DayOfWeek.`minus(long days)`
  Returns the day-of-week that is the specified number of days before this one.
  `static DayOfWeek`
  DayOfWeek.`of(int dayOfWeek)`
  Obtains an instance of `DayOfWeek` from an `int` value.
  `DayOfWeek`
  DayOfWeek.`plus(long days)`
  Returns the day-of-week that is the specified number of days after this one.
  `static DayOfWeek`
  DayOfWeek.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DayOfWeek[]`
  DayOfWeek.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of DayOfWeek in java.time.temporal

  Methods in java.time.temporal that return DayOfWeek
  Modifier and Type
  Method
  Description
  `DayOfWeek`
  WeekFields.`getFirstDayOfWeek()`
  Gets the first day-of-week.
  Methods in java.time.temporal with parameters of type DayOfWeek
  Modifier and Type
  Method
  Description
  `static TemporalAdjuster`
  TemporalAdjusters.`dayOfWeekInMonth(int ordinal, DayOfWeek dayOfWeek)`
  Returns the day-of-week in month adjuster, which returns a new date with the ordinal day-of-week based on the month.
  `static TemporalAdjuster`
  TemporalAdjusters.`firstInMonth(DayOfWeek dayOfWeek)`
  Returns the first in month adjuster, which returns a new date in the same month with the first matching day-of-week.
  `static TemporalAdjuster`
  TemporalAdjusters.`lastInMonth(DayOfWeek dayOfWeek)`
  Returns the last in month adjuster, which returns a new date in the same month with the last matching day-of-week.
  `static TemporalAdjuster`
  TemporalAdjusters.`next(DayOfWeek dayOfWeek)`
  Returns the next day-of-week adjuster, which adjusts the date to the first occurrence of the specified day-of-week after the date being adjusted.
  `static TemporalAdjuster`
  TemporalAdjusters.`nextOrSame(DayOfWeek dayOfWeek)`
  Returns the next-or-same day-of-week adjuster, which adjusts the date to the first occurrence of the specified day-of-week after the date being adjusted unless it is already on that day in which case the same object is returned.
  `static WeekFields`
  WeekFields.`of(DayOfWeek firstDayOfWeek, int minimalDaysInFirstWeek)`
  Obtains an instance of `WeekFields` from the first day-of-week and minimal days.
  `static TemporalAdjuster`
  TemporalAdjusters.`previous(DayOfWeek dayOfWeek)`
  Returns the previous day-of-week adjuster, which adjusts the date to the first occurrence of the specified day-of-week before the date being adjusted.
  `static TemporalAdjuster`
  TemporalAdjusters.`previousOrSame(DayOfWeek dayOfWeek)`
  Returns the previous-or-same day-of-week adjuster, which adjusts the date to the first occurrence of the specified day-of-week before the date being adjusted unless it is already on that day in which case the same object is returned.

- ## Uses of DayOfWeek in java.time.zone

  Methods in java.time.zone that return DayOfWeek
  Modifier and Type
  Method
  Description
  `DayOfWeek`
  ZoneOffsetTransitionRule.`getDayOfWeek()`
  Gets the day-of-week of the transition.
  Methods in java.time.zone with parameters of type DayOfWeek
  Modifier and Type
  Method
  Description
  `static ZoneOffsetTransitionRule`
  ZoneOffsetTransitionRule.`of(Month month, int dayOfMonthIndicator, DayOfWeek dayOfWeek, LocalTime time, boolean timeEndOfDay, ZoneOffsetTransitionRule.TimeDefinition timeDefinition, ZoneOffset standardOffset, ZoneOffset offsetBefore, ZoneOffset offsetAfter)`
  Obtains an instance defining the yearly rule to create transitions between two offsets.